<div fxLayout="row" fxLayoutAlign="center center" style="min-height: calc(100% - 70px)">
    <div fxLayout="row wrap" fxFlex.gt-sm="80" fxFlex="100" fxLayoutAlign="center center" fxLayoutGap="20px grid">
        <div fxFlex.gt-sm="50" fxFlex="100">
            <mat-accordion>
                <mat-expansion-panel>
                    <mat-expansion-panel-header>
                        <div fxLayout="row wrap" fxLayoutAlign="center center">
                            <div fxFlex="50px">
                                <mat-icon mat-card-avatar style="font-size: 2.2rem">face</mat-icon>
                            </div>
                            <div fxLayout="column" class="user-title" *ngIf="user !== undefined">
                                <mat-card-title>Usuario: {{user.username}}</mat-card-title>
                                <mat-card-subtitle>Email: {{user.email}}</mat-card-subtitle>
                            </div>
                        </div>
                    </mat-expansion-panel-header>
                    <form [formGroup]="userUpdate" (ngSubmit)="onSubmitUserUpdate()">
                        <div *ngIf="this.user !== undefined" fxLayout.gt-sm="row wrap" fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="20px grid">
                            <h4 fxFlex="100" style="text-align: center;"><br>Actualizar datos</h4>

                            <mat-form-field>
                                <input matInput placeholder="Nombres" formControlName="first_name" [value]="this.user.first_name !== undefined ? this.user.first_name:''">
                            </mat-form-field>

                            <mat-form-field>
                                <input matInput placeholder="Apellidos" formControlName="last_name" [value]="this.user.last_name !== undefined ? this.user.last_name:''">
                            </mat-form-field>

                            <button mat-button>Actualizar</button>
                        </div>
                    </form>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
        <div fxFlex="100" fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutGap="20px grid">
            <div fxFlex="100" fxLayoutAlign="center center" fxLayout="row wrap">
                <div fxFlex="100" style="text-align: center;">
                    <h3>Registrar cita</h3>
                    <br>
                </div>
                <div fxFlex.gt-sm="80" fxFlex="100" fxLayout="row wrap" fxLayoutGap="20px grid">
                    <div fxFlex="100">
                        <form [formGroup]="registroCita" (ngSubmit)="registrarCita()">
                            <mat-card fxLayout="row wrap" fxLayoutAlign="center stretch" fxLayoutGap="5px grid">
                                <div>
                                    <mat-form-field appearance="outline">
                                        <input matInput [matDatepicker]="picker" placeholder="Choose a date" formControlName="fecha" format="YYYY/MM/DD HH:mm:ss">
                                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                        <mat-datepicker #picker></mat-datepicker>
                                    </mat-form-field>
                                </div>
                                <div>
                                    <mat-form-field appearance="outline">
                                        <mat-select placeholder="Seleccione un doctor" formControlName="doctor">
                                            <mat-option *ngFor="let doc of doctores[0]" [value]="doc.id">{{doc.nombre}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <div>
                                    <mat-form-field appearance="outline">
                                        <mat-select placeholder="Tipo de consulta" formControlName="tipo_cita">
                                            <mat-option *ngFor="let citas of typeCites[0]" [value]="citas.id">{{citas.opcion}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <div fxLayoutAlign="start space-evenly">
                                    <button mat-button type="submit" [disabled]="!registroCita.valid || submitted !== false" (click)="getAllCitas()">Registrar</button>
                                </div>
                            </mat-card>
                        </form>
                    </div>
                </div>
            </div>
            <div fxFlex="100" fxLayoutAlign="center center" fxLayout="row wrap">
                <div fxFlex="100" style="text-align: center;">
                    <br>
                    <h3>Listar citas</h3>
                    <br>
                </div>
                <div fxFlex.gt-sm="50" fxFlex="100">
                    <mat-accordion *ngIf="citas[0] !== (null || undefined)">
                        <mat-expansion-panel *ngFor="let cita of citas[0]; let i = index" [expanded]="i == 0" [attr.data-index]="i" (opened)="setStep(0)">
                            <mat-expansion-panel-header>
                                <div fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutGap="10px">
                                    <mat-icon mat-list-icon>note</mat-icon>
                                    <span>
                                      <h4 mat-line>{{cita.fecha.split('T', 1)}}</h4>
                                      <ng-container *ngFor="let cite of typeCites[0]">
                                        <p style="margin:0 0" mat-line *ngIf="cite.id == cita.cita">{{cite.opcion}} </p>
                                      </ng-container>
                                    </span>
                                </div>
                            </mat-expansion-panel-header>

                            <h4 style="margin-bottom:10px">Doctor:
                                <ng-container *ngFor="let doc of doctores[0]">
                                    <span *ngIf="doc.id == cita.cita">{{doc.nombre}}</span>

                                </ng-container>

                            </h4>

                            <mat-divider></mat-divider>
                            <br>
                            <form [formGroup]="updateCita" (ngSubmit)="updateCitaReg(cita.cita)">
                                <div>
                                    <mat-form-field appearance="outline">
                                        <input matInput [matDatepicker]="picker" placeholder="Actualice la fecha" formControlName="fecha" format="YYYY/MM/DD">
                                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                        <mat-datepicker #picker></mat-datepicker>
                                    </mat-form-field>
                                </div>
                                <div>
                                    <mat-form-field appearance="outline">
                                        <mat-select placeholder="Cambie su doctor" formControlName="doctor">
                                            <mat-option *ngFor="let doc of doctores[0]" [value]="doc.id">{{doc.nombre}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <button mat-button type="submit">Actualizar registro</button>
                            </form>

                        </mat-expansion-panel>
                    </mat-accordion>

                </div>
            </div>

        </div>
    </div>
</div>